org.apache.hadoop.mapreduce

## Interface ReduceContext.ValueIterator<VALUEIN>

- All Known Implementing Classes:
    ReduceContextImpl.ValueIterator
  Enclosing interface:
    ReduceContext<KEYIN,VALUEIN,KEYOUT,VALUEOUT>

      public static interface ReduceContext.ValueIterator<VALUEIN>

  `Iterator` to iterate over values for a given group of records.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearMark()` Clear any previously set mark
    `void` | `mark()` Mark the current record.
    `void` | `reset()` Reset the iterator to the last record before a call to the previous mark
    `void` | `resetBackupStore()` This method is called when the reducer moves from one key to another.

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, hasNext, next, remove`

- - ### Method Detail

    - #### resetBackupStore

          void resetBackupStore()
                         throws IOException

      This method is called when the reducer moves from one key to another.
      Throws:
        `IOException`

    - #### mark

          void mark()
             throws IOException

      Mark the current record. A subsequent call to reset will rewind the iterator to this record.
      Throws:
        `IOException`

    - #### reset

          void reset()
              throws IOException

      Reset the iterator to the last record before a call to the previous mark
      Throws:
        `IOException`

    - #### clearMark

          void clearMark()
                  throws IOException

      Clear any previously set mark
      Throws:
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.